# Public APIs

NOTE: The terminology "public" refers to the availability of the APIs to Claret tenants. Access to data is restricted to the tenant users and connections must be authenticated.

## Available APIs

### Crop Supply Plans

* [Crop Supply Plans](/apis/public-apis/crop-supply-plans.md) - Retrieve crop supply plan records

### Inventory

* [Inventory Import](/apis/public-apis/inventory/import.md) - Import inventory data via JSON or CSV
* [Inventory Batch Delete](/apis/public-apis/inventory/batch-delete.md) - Delete inventory records by criteria

### Sales

* [Sales Data](/apis/public-apis/sales-data.md) - Retrieve historical, forecast, or transactional sales data

### Supply Plans

* [Supply Plans Data](/apis/public-apis/supply-plans-data.md) - Retrieve supply plan records

### Utilities

* [Job Status](/apis/public-apis/job-status.md) - Monitor status of asynchronous jobs


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.claret.app/apis/public-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
